[Lunar-commits] <moonbase> bluez: initial import so folks can tinker around with compatbility issues

Dennis 'stumbles' Veatch stumbles at lunar-linux.org
Sat Mar 28 16:55:46 CET 2009


commit 2fa73b8615060de2c36268d1848064f1f9d583ae
Author: Dennis 'stumbles' Veatch <stumbles at lunar-linux.org>
Date:   Sat Mar 28 11:55:46 2009 -0400

    bluez: initial import so folks can tinker around with compatbility issues
    
    that will spring up between it and kde3, kde4, and possibly others. Feel free
    to adjust things especially the daemon, it could use a little fine tuning I
    think... but it does work as is.
---
 zbeta/bluez/BUILD             |   23 +++++++++++++++++
 zbeta/bluez/CONFLICTS         |    5 +++
 zbeta/bluez/DEPENDS           |    8 ++++++
 zbeta/bluez/DETAILS           |   13 +++++++++
 zbeta/bluez/init.d/bluetoothd |   55 +++++++++++++++++++++++++++++++++++++++++
 5 files changed, 104 insertions(+), 0 deletions(-)

diff --git a/zbeta/bluez/BUILD b/zbeta/bluez/BUILD
new file mode 100644
index 0000000..2b536f2
--- /dev/null
+++ b/zbeta/bluez/BUILD
@@ -0,0 +1,23 @@
+(  
+
+
+  OPTS+=" --enable-tools   \
+          --enable-bccmd   \
+          --enable-hid2hci \
+          --enable-dfutool \
+          --enable-hidd    \
+          --enable-pand    \
+          --enable-dund    \
+          --enable-manpages\
+          --enable-configfiles   \
+          --with-telephony=dummy \
+          --enable-gstreamer     \
+          $OPTS"
+
+  default_build &&
+
+  cp audio/*.conf  /etc/bluetooth/ &&
+  cp network/*.conf /etc/bluetooth/ &&
+  cp input/*.conf /etc/bluetooth
+    
+) > $C_FIFO 2>&1
diff --git a/zbeta/bluez/CONFLICTS b/zbeta/bluez/CONFLICTS
new file mode 100644
index 0000000..06a8972
--- /dev/null
+++ b/zbeta/bluez/CONFLICTS
@@ -0,0 +1,5 @@
+conflicts bluez-libs
+conflicts bluez-utils
+conflicts bluez-hcidump
+conflicts bluez-hciemu
+conflicts bluez-firmware
diff --git a/zbeta/bluez/DEPENDS b/zbeta/bluez/DEPENDS
new file mode 100644
index 0000000..ed41df7
--- /dev/null
+++ b/zbeta/bluez/DEPENDS
@@ -0,0 +1,8 @@
+depends dbus-glib
+depends hal
+depends gstreamer-10
+
+optional_depends "libusb"       "--enable-usb"          "" "to enable usb"
+optional_depends "alsa-lib"     "--enable-alsa"         "" "to enable alsa sound support"
+optional_depends "cups"         "--enable-cups"         "" "to enable cups printing support"
+optional_depends "pcmciautils"  "--enable-pcmciarules"  "" "to enable pcmcia support, 2.6 kernels"
diff --git a/zbeta/bluez/DETAILS b/zbeta/bluez/DETAILS
new file mode 100644
index 0000000..307f4a8
--- /dev/null
+++ b/zbeta/bluez/DETAILS
@@ -0,0 +1,13 @@
+          MODULE=bluez
+         VERSION=4.33
+          SOURCE=$MODULE-$VERSION.tar.gz
+      SOURCE_URL=http://www.kernel.org/pub/linux/bluetooth/
+      SOURCE_VFY=sha1:9f0806ca17283bb3bce4967df4ccaf0d20371ae3
+        WEB_SITE=http://www.bluez.org
+         ENTERED=20090328
+         UPDATED=20090328
+           SHORT="support for core Bluetooth layers and protocols"
+cat << EOF
+BlueZ provides support for core Bluetooth layers and protocols. It is
+flexible, efficient and modular implementation.
+EOF
diff --git a/zbeta/bluez/init.d/bluetoothd b/zbeta/bluez/init.d/bluetoothd
new file mode 100644
index 0000000..b90b9cb
--- /dev/null
+++ b/zbeta/bluez/init.d/bluetoothd
@@ -0,0 +1,55 @@
+#!/bin/sh
+#
+#   Startup/shutdown script for Bluetooth daemons
+#
+# chkconfig: 345 80 20
+# description: Startup/shutdown script for the Bluetooth daemons
+# processname: /usr/sbin/bluetoothd
+#
+
+. /lib/lsb/init-functions $1
+
+set -e
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+NAME=bluetooth
+DESC="Bluetooth subsystem"
+
+DAEMON_NAME=bluetoothd
+HID2HCI_NAME=hid2hci
+
+DAEMON_EXEC="`which $DAEMON_NAME || true`"
+HID2HCI_EXEC="`which $HID2HCI_NAME || true`"
+
+DAEMON_ENABLE=true
+HID2HCI_ENABLE=true
+
+[ -e /etc/default/bluetooth ] && . /etc/default/bluetooth
+
+case "$1" in
+  start)
+	echo -n "Starting $DESC:"
+	if $DAEMON_ENABLE && [ -x "$DAEMON_EXEC" ]; then
+		$DAEMON_EXEC
+		echo -n " $DAEMON_NAME"
+	fi
+	if $HID2HCI_ENABLE && [ -x "$HID2HCI_EXEC" ] ; then
+		$HID2HCI_EXEC --tohci > /dev/null 2>&1 || true
+		echo -n " $HID2HCI_NAME"
+	fi
+	echo "."
+	;;
+  stop)
+	echo -n "Stopping $DESC:"
+	killall $DAEMON_NAME > /dev/null 2>&1 || true
+	echo -n " $DAEMON_NAME"
+	echo "."
+	;;
+  *)
+	N=/etc/init.d/$NAME
+	echo "Usage: $N {start|stop}" >&2
+	exit 1
+	;;
+esac
+
+exit 0


More information about the Lunar-commits mailing list